function this_date = getfiledate(file)

my_dirinfo = dir(file);
this_date = my_dirinfo.date;

%
% now we need to fix the date info
%

this_date = strrep(this_date,'Jan','01');
this_date = strrep(this_date,'Feb','02');
this_date = strrep(this_date,'Mar','03');
this_date = strrep(this_date,'Apr','04');
this_date = strrep(this_date,'May','05');
this_date = strrep(this_date,'Jun','06');
this_date = strrep(this_date,'Jul','07');
this_date = strrep(this_date,'Aug','08');
this_date = strrep(this_date,'Sep','09');
this_date = strrep(this_date,'Oct','10');
this_date = strrep(this_date,'Nov','11');
this_date = strrep(this_date,'Dec','12');

%
% now we split the string into 2
%

my_date = vecstr(this_date);
this_date = strtrim(my_date(1,:));
this_time = strtrim(my_date(2,:));

%
% now we split this_date (which contains day-month-year)
% into 3 strings
%

this_date = strrep(this_date,'-',' ');
this_date = vecstr(this_date);

%
% now we reorder this string into year-month-day
%

this_day = strtrim(this_date(1,:));
this_month = strtrim(this_date(2,:));
this_year = strtrim(this_date(3,:));
this_date = [this_year this_month this_day];

%
% now we add the time data but after a decimal point
%

this_date = [this_date '.' strrep(this_time,':','')];

this_date = mystr2num(this_date);

%
% end of getfiledate.m
%
