function moved = DidAxesMove(legh)
% Check to see if the axes has been moved
ud = get(legh,'userdata');
ax = ud.PlotHandle;
if isfield(ud,'AxesPosition')
  units = get(ax,'units');
  set(ax,'units','normalized')
  pos = get(ax,'position');
  set(ax,'units','pixels')
  tol = pos ./ get(ax,'position')/2;
  if any(abs(ud.AxesPosition - pos) > max(tol(3:4)))
    moved = 1;
  else
    moved = 0;
  end
  set(ax,'units',units)
else
  moved = 0;
end

%
% end of DidAxesMove.m
%
