function show_main_status_fcn

fig = findobj('Type','figure','Tag','StructuralVAR');

if isempty(fig)==0;
   model = get(fig,'UserData');
   ud = get(model.statusbar,'UserData');
   if strcmp(get(model.endogenous,'Type'),'uicontrol')==0;
      this_handle = overobj_fcn('axes');
      if (isempty(this_handle)==0)&(ishandle(this_handle)==1);
         if strcmp(get(this_handle,'Tag'),'bg_axes')==1;
            set(fig,'Pointer','ibeam');
            prop = get(this_handle,'UserData');
            co_str = get(prop.handle,'String');
            if isempty(co_str)==0;
               set(model.statusbar,'String',co_str);
               set(model.quitdata,'UserData',co_str);
            else;
               set(model.statusbar,'String',ud.string);
               set(model.quitdata,'UserData',ud.string);
            end;
            return;
         else;
            set(fig,'Pointer','arrow');
         end;
      else;
         set(fig,'Pointer','arrow');
      end;
   else;
      if strcmp(get(fig,'Pointer'),'ibeam')==0;
         set(fig,'Pointer','arrow');
      end;
   end;
   %
   co = overobj_fcn('uicontrol');
   if isempty(co)==0;
      if strcmp(lower(get(co,'Style')),'popupmenu')==1;
         pop_str = get(co,'String');
         pop_val = get(co,'Value');
         pop_str = pop_str(pop_val,:);
         set(model.statusbar,'String',pop_str);
         set(model.quitdata,'UserData',pop_str);
         return;
      end;
      co_str = get(co,'TooltipString');
      if isempty(co_str)==1;
         co_str = get(co,'String');
         if isempty(co_str)==0;
            co_str = co_str(1,:);
         end;
      end;
      if (isempty(co_str)==0)&(isequal(model.statusbar,co)==0);
         set(model.statusbar,'String',co_str);
         set(model.quitdata,'UserData',co_str);
      else;
         set(model.statusbar,'String',ud.string);
         set(model.quitdata,'UserData',ud.string);
      end;
   else;
      set(model.statusbar,'String',ud.string);
      set(model.quitdata,'UserData',ud.string);
   end;
end;

%
% end of show_main_status_fcn.m
%
