function toolbar_addtext_fcn

%
% button images
%

%mycons = getstoredimages;
%bgcolor = get(0,'defaultuicontrolbackgroundcolor');
%myzoominup = maketrans(mycons.zoomin_image,[160 160 164],bgcolor);
%myzoomoutup = maketrans(mycons.zoomout_image,[160 160 164],bgcolor);
%my_text_up = maketrans(mycons.text_image,[160 160 164],bgcolor);
%my_text_down = maketrans(mycons.text_image,[160 160 164],[1 1 1]);
%my_arrow = maketrans(mycons.arrow_image,[160 160 164],bgcolor);
%my_line = maketrans(mycons.line_image,[160 160 164],bgcolor);

h = get(0,'CurrentFigure');
toolbar = get(h,'UserData');
this_label = get(toolbar.lock,'Label');
myaxes = get(toolbar.print,'UserData');

set(h,'WindowButtonUpFcn','');

%
% resetting the other toggle buttons
%
set(toolbar.zoomin,'State','off');
%set(toolbar.zoomin,'CData',myzoominup);
set(toolbar.zoomout,'State','off');
%set(toolbar.zoomout,'CData',myzoomoutup);
set(toolbar.addarrow,'State','off');
%set(toolbar.addarrow,'CData',my_arrow);
set(toolbar.addline,'State','off');
%set(toolbar.addline,'CData',my_line);
set(toolbar.arrowmenu,'Checked','off');
set(toolbar.linemenu,'Checked','off');
if isfield(toolbar,'axesmenu')==1;
   set(toolbar.axesmenu,'Checked','off');
   set(toolbar.axes,'State','off');
end;
set(toolbar.menuzoomin,'Checked','off');
set(toolbar.menuzoomout,'Checked','off');
set(toolbar.freehand,'State','off');
set(toolbar.freehandmenu,'Checked','off');

if isfield(toolbar,'rectangle')==1;
   set(toolbar.rectangle,'State','off');
   set(toolbar.rectanglemenu,'Checked','off');
end;

zoom_fcn('off');

if isfield(toolbar,'rotate3d')==1;
   if strcmp(get(toolbar.rotate3d,'State'),'on')==1;
      rotate3d_fcn('off');
   end;
%   myrotate3d_up = maketrans(mycons.rotate3d_image,[160 160 164],bgcolor);
   set(toolbar.menurotate3d,'Checked','off');
   set(toolbar.rotate3d,'State','off');
end;

%
% changing the button for the addtext control
%
if strcmp(get(toolbar.addtext,'State'),'on')==1;
%   set(toolbar.addtext,'CData',my_text_down);
   set(toolbar.textmenu,'Checked','on');
else;
%   set(toolbar.addtext,'CData',my_text_up);
   set(toolbar.textmenu,'Checked','off');
end;

%
% determining action depening on control value
%

if strcmp(get(toolbar.addtext,'State'),'on')==1;
   if strcmp(this_label,'Loc&k Axes')==1;
      toolbar_lock_fcn;
      set(h,'WindowButtonDownFcn','');
   end;
   for i=1:size(myaxes,2);
      set(myaxes(1,i),'UIContextMenu',[]);
   end;
   set(h,'WindowButtonMotionFcn','pointer_beam');
   set(h,'WindowButtonDownFcn','addtext_fcn');
else;
   set(h,'WindowButtonMotionFcn','');
   if strcmp(this_label,'Loc&k Axes')==1;
      set(h,'WindowButtonDownFcn','checkobj_fcn');
   else;
      set(h,'WindowButtonDownFcn','');
   end;
   %
   % reset the axes context menu
   %
   for i=1:size(myaxes,2);
      create_axes_contextmenu_fcn(myaxes(1,i));
   end;
   if isempty(get(toolbar.renderer,'UserData'))==0;
      set(h,'WindowButtonDownFcn',get(toolbar.renderer,'UserData'));
   end;
   set(h,'Pointer','arrow');
   text_obj = findobj('Type','text','Editing','on')';
   if isempty(text_obj)==0;
      for i=1:size(text_obj,2);
         set(text_obj(1,i),'Editing','off');
      end;
   end;
end;

if isfield(toolbar,'lineentry')==1;
   set(toolbar.lineentry,'Visible','off');
   set(h,'UserData',toolbar);
end;

%
% end of toolbar_addtext_fcn.m
%
