function check_axes_lines

linehandles = findobj(gca,'Type','line')';
if isempty(linehandles)==0;
   %
   % Remove zero lines from linehandles
   %
   for j=1:size(linehandles,2);
      checkvec = get(linehandles(1,j),'YData');
      checkvec2 = sum(get(linehandles(1,j),'XData'));
      checkstyle = get(linehandles(1,j),'LineStyle');
      if ((checkvec==zeros(size(checkvec,1),1))|(isalmostequal(checkvec,get(linehandles(1,j),'XData'))==1)|(checkvec2==zeros(size(checkvec2,1),1)));
         gca_width = get(gca,'LineWidth');
         if gca_width<1;
            gca_width = 1;
         end;
         set(linehandles(1,j),'LineWidth',gca_width);
      end;
   end;
end;

%
% end of check_axes_lines.m
%
