function [out,m_v] = main_checksample_fcn(out,m_v)

curr_model.beginyear = strrep(get(out.beginyear,'String'),' ','');
curr_model.beginperiod = strrep(get(out.beginperiod,'String'),' ','');
curr_model.endyear = strrep(get(out.endyear,'String'),' ','');
curr_model.endperiod = strrep(get(out.endperiod,'String'),' ','');
curr_model.subbeginyear = strrep(get(out.subbeginyear,'String'),' ','');
curr_model.subbeginperiod = strrep(get(out.subbeginperiod,'String'),' ','');
curr_model.subendyear = strrep(get(out.subendyear,'String'),' ','');
curr_model.subendperiod = strrep(get(out.subendperiod,'String'),' ','');
change = 0;
changevec = zeros(1,8);
if strcmp(m_v.beginyear,curr_model.beginyear)==0;
   change = 1;
   changevec(1,1) = 1;
end;
if strcmp(m_v.beginperiod,curr_model.beginperiod)==0;
   change = 1;
   changevec(1,2) = 1;
end;
if strcmp(m_v.endyear,curr_model.endyear)==0;
   change = 1;
   changevec(1,3) = 1;
end;
if strcmp(m_v.endperiod,curr_model.endperiod)==0;
   change = 1;
   changevec(1,4) = 1;
end;
if strcmp(m_v.subbeginyear,curr_model.subbeginyear)==0;
   change = 1;
   changevec(1,5) = 1;
end;
if strcmp(m_v.subbeginperiod,curr_model.subbeginperiod)==0;
   change = 1;
   changevec(1,6) = 1;
end;
if strcmp(m_v.subendyear,curr_model.subendyear)==0;
   change = 1;
   changevec(1,7) = 1;
end;
if strcmp(m_v.subendperiod,curr_model.subendperiod)==0;
   change = 1;
   changevec(1,8) = 1;
end;
if change==1;
   %
   % check if new entries are legal
   %
   nby = mystr2num(curr_model.beginyear);
   nbp = mystr2num(curr_model.beginperiod);
   ney = mystr2num(curr_model.endyear);
   nep = mystr2num(curr_model.endperiod);
   nsby = mystr2num(curr_model.subbeginyear);
   nsbp = mystr2num(curr_model.subbeginperiod);
   nsey = mystr2num(curr_model.subendyear);
   nsep = mystr2num(curr_model.subendperiod);
   curr_model = getsample(curr_model,m_v.endofile,m_v.endosheet);
   m_v.freq = curr_model.freq;
   set(out.seasonal,'UserData',m_v.freq);
   if strcmp(m_v.freq,'')==0;
      if strcmp(m_v.freq,'y')==0;
         set(out.seasonal,'Enable','on');
         set(out.noseasonal,'Enable','on');
      else;
         set(out.seasonal,'Enable','off');
         set(out.noseasonal,'Enable','off');
      end;
      if isempty(nby)==1;
         set(out.beginyear,'String',m_v.beginyear);
         changevec(1,1) = 0;
      end;
      set(out.beginperiod,'String',curr_model.beginperiod);
      if isempty(nbp)==1;
         changevec(1,2) = 1;
      else;
         if strcmp(m_v.beginperiod,curr_model.beginperiod)==0;
            changevec(1,2) = 1;
         else;
            changevec(1,2) = 0;
         end;
      end;
      if isempty(ney)==1;
         set(out.endyear,'String',m_v.endyear);
         changevec(1,3) = 0;
      end;
      set(out.endperiod,'String',curr_model.endperiod);
      if isempty(nep)==1;
         changevec(1,4) = 1;
      else;
         if strcmp(m_v.endperiod,curr_model.endperiod)==0;
            changevec(1,4) = 1;
         else;
            changevec(1,4) = 0;
         end;
      end;
      set(out.subbeginyear,'String',curr_model.subbeginyear);
      if isempty(nsby)==1;
         changevec(1,5) = 1;
      else;
         if strcmp(m_v.subbeginyear,curr_model.subbeginyear)==0;
            changevec(1,5) = 1;
         else;
            changevec(1,5) = 0;
         end;
      end;
      set(out.subbeginperiod,'String',curr_model.subbeginperiod);
      if isempty(nsbp)==1;
         changevec(1,6) = 1;
      else;
         if strcmp(m_v.subbeginperiod,curr_model.subbeginperiod)==0;
            changevec(1,6) = 1;
         else;
            changevec(1,6) = 0;
         end;
      end;
      set(out.subendyear,'String',curr_model.subendyear);
      if isempty(nsey)==1;
         changevec(1,7) = 1;
      else;
         if strcmp(m_v.subendyear,curr_model.subendyear)==0;
            changevec(1,7) = 1;
         else;
            changevec(1,7) = 0;
         end;
      end;
      set(out.subendperiod,'String',curr_model.subendperiod);
      if isempty(nsep)==1;
         changevec(1,8) = 1;
      else;
         if strcmp(m_v.subendperiod,curr_model.subendperiod)==0;
            changevec(1,8) = 1;
         else;
            changevec(1,8) = 0;
         end;
      end;
   else;
      set(out.seasonal,'Enable','off');
      set(out.noseasonal,'Enable','off');
      if strcmp(m_v.endyear,'')==0;
         if strcmp(m_v.endperiod,'')==0;
            set(out.beginperiod,'String',m_v.beginperiod);
            changevec(1,2) = 0;
         end;
      end;
      set(out.endperiod,'String',m_v.endperiod);
      changevec(1,4) = 0;
   end;
   if changevec*ones(8,1)>0;
      set(out.store,'Enable','on');
      set(out.savemenu,'Enable','on');
      if changevec(1,1)==1;
         m_v.beginyear = get(out.beginyear,'String');
      end;
      if changevec(1,2)==1;
         m_v.beginperiod = curr_model.beginperiod;
      end;
      if changevec(1,3)==1;
         m_v.endyear = get(out.endyear,'String');
      end;
      if changevec(1,4)==1;
         m_v.endperiod = curr_model.endperiod;
      end;
      if changevec(1,5)==1;
         m_v.subbeginyear = curr_model.subbeginyear;
      end;
      if changevec(1,6)==1;
         m_v.subbeginperiod = curr_model.subbeginperiod;
      end;
      if changevec(1,7)==1;
         m_v.subendyear = curr_model.subendyear;
      end;
      if changevec(1,8)==1;
         m_v.subendperiod = curr_model.subendperiod;
      end;
   end;
end;

%
% end of main_checksample_fcn.m
%
