function page_setup

curr_fig = get(0,'CurrentFigure');
toolbar = get(curr_fig,'UserData');
h = pagesetup_fcn(gcf);
pagesetup = get(h,'UserData');
figinfo = get(pagesetup.apply,'UserData');
my_crop_image = get(pagesetup.cropimage,'Value');
set(pagesetup.page,'UserData','done');
killguipid(h);

set(curr_fig,'InvertHardcopy',figinfo.inverthardcopy, ...
   'PaperOrientation',figinfo.paperorientation, ...
   'PaperType',figinfo.papertype, ...
   'PaperUnits',figinfo.paperunits, ...
   'PaperPositionMode',figinfo.paperpositionmode);

if strcmp(figinfo.paperpositionmode,'manual')==1;
   set(curr_fig,'PaperPosition',figinfo.paperposition);
end;

if my_crop_image==1;
   set(toolbar.open,'UserData',1);
else;
   set(toolbar.open,'UserData',[]);
end;

%
% end of page_setup.m
%
