function [p_series,pp_series,qq_series] = pq_pkk_series(as_sorted,as_quant,as_table,k)

%
% computations for p-value plot
%
% as_sorted is repx1
% k is the number of regressors
%

rep = size(as_sorted,1);

edf_p_values = 1-ploberger_cdf(as_sorted,k);

p_series = zeros(221,1);
pp_series = zeros(221,1);
qq_series = zeros(221,1);
for num=1:221;
   p_num = edf_p_values(edf_p_values<=as_quant(num,1));
   p_series(num,1) = size(p_num,1)/rep;   
   pp_num = as_sorted(as_sorted<=as_table(num,1));
   pp_series(num,1) = size(pp_num,1)/rep;
   qq_series(num,1) = as_sorted(ceil(as_quant(num,1)*rep),1);
end;

%
% end of pq_pkk_series.m
%
