function toolbar_rectangle_fcn


h = get(0,'CurrentFigure');
toolbar = get(h,'UserData');
this_label = get(toolbar.lock,'Label');
myaxes = get(toolbar.print,'UserData');

set(h,'WindowButtonUpFcn','');

%
% resetting the other toggle buttons
%
set(toolbar.zoomin,'State','off');
set(toolbar.zoomout,'State','off');
set(toolbar.addarrow,'State','off');
set(toolbar.addtext,'State','off');
set(toolbar.addline,'State','off');
set(toolbar.arrowmenu,'Checked','off');
set(toolbar.textmenu,'Checked','off');
set(toolbar.linemenu,'Checked','off');
set(toolbar.menuzoomin,'Checked','off');
set(toolbar.menuzoomout,'Checked','off');
set(toolbar.linemenu,'Checked','off');
set(toolbar.freehand,'State','off');
set(toolbar.freehandmenu,'Checked','off');
if isfield(toolbar,'axesmenu')==1;
   set(toolbar.axesmenu,'Checked','off');
   set(toolbar.axes,'State','off');
end;

zoom_fcn('off');

%
% Change the checked value for toolbar.axesmenu and take action
% for adding an axes to the current figure
%

if strcmp(get(toolbar.rectanglemenu,'Checked'),'off')==1;
   set(toolbar.rectanglemenu,'Checked','on');
   if strcmp(this_label,'Loc&k Axes')==1;
      toolbar_lock_fcn;
      set(h,'WindowButtonDownFcn','');
   end;
   for i=1:size(myaxes,2);
      set(myaxes(1,i),'UIContextMenu',[]);
   end;
   set(h,'WindowButtonMotionFcn','pointer_crosshair');
   set(h,'WindowButtonDownFcn','addrectangle_fcn');
else;
   set(toolbar.rectanglemenu,'Checked','off');
   set(h,'WindowButtonMotionFcn','');
   if strcmp(this_label,'Loc&k Axes')==1;
      set(h,'WindowButtonDownFcn','checkobj_fcn');
   else;
      set(h,'WindowButtonDownFcn','');
   end;
   %
   % reset the axes context menu
   %
   for i=1:size(myaxes,2);
      create_axes_contextmenu_fcn(myaxes(1,i));
   end;
   if isempty(get(toolbar.renderer,'UserData'))==0;
      set(h,'WindowButtonDownFcn',get(toolbar.renderer,'UserData'));
   end;
   set(h,'Pointer','arrow');
end;

if isfield(toolbar,'lineentry')==1;
   set(toolbar.lineentry,'Visible','off');
   set(h,'UserData',toolbar);
end;

%
% end of toolbar_rectangle_fcn.m
%
