function y_zeros_fcn

%
% create zero line along current axes
%

y_lim = get(gca,'XLim');
new_line = line('XData',[0 0], ...
   'YData',y_lim, ...
   'Color',[0 0 0], ...
   'LineStyle','-', ...
   'LineWidth',1, ...
   'Tag','var-zeros');

%
% fix context menu along current axes
%

if iscompiled==1;
   create_axes_contextmenu_fcn(gca);
else;
   ui_ctxt = get(gca,'UIContextMenu');
   zero_x_line = findobj(ui_ctxt,'Label','X Axis Zero Line');
   if isempty(zero_x_line)==0;
      delete(zero_x_line);
   end;
end;

%
% end of y_zeros_fcn.m
%
